
Ruby - Bug #12442

TestArgf#test_textmode fails on cygwin

05/31/2016 10:01 AM - duerst (Martin Dürst)

Status: Assigned   

Priority: Normal   

Assignee: cygwin   

Target version:    

ruby -v: ruby 2.4.0dev (2016-05-31 trunk 55228)

[x86_64-cygwin]

Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

When I try to run bin/ruby test/runner.rb test/ruby/test_* (because make test-all doesn't work), the first failure that I get is as below.

$ bin/ruby test/runner.rb test/ruby/test_*

Run options:

# Running tests:

[ 156/4545] TestArgf#test_textmode = 1.60 s

  1) Failure:

TestArgf#test_textmode [/cygdrive/c/Data/ruby/test/ruby/test_argf.rb:685]:

[ruby-core:39234].

<"1\n2\n3\n4\n5\n6\n"> expected but was

<"1\n2\n3\n4\n5\r\n6\r\n">.

History

#1 - 04/28/2017 01:45 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#2 - 05/19/2022 08:20 AM - naruse (Yui NARUSE)

- Assignee changed from nobu (Nobuyoshi Nakada) to cygwin
